Subject: Re: [PATCH] fix e100 rx path on ARM (was [PATCH] e100 rx: or s and el bits)

From: "Kok, Auke" <[email-masked]>
Date: Fri, 18 May 2007 08:59:26 -0700

David Acker wrote:
> Kok, Auke wrote:
>> David Acker wrote:
>>> David Acker wrote:
>>>> Done.  Below is a patch against 2.6.22-rc1.  It combines removing the 
>>>> s-bit patch and applying the patch I previously sent.
>>> Oops.  I missed one state in that patch.  Since the el-bit buffer will 
>>> normally not complete due to a zero size, we need to check if the 
>>> buffer with no data has the el-bit set.  Without this, you have to 
>>> wait for the interrupt.  Sorry about that...this was in the code I 
>>> tested on my embedded system but got lost in the regular kernel patch.
>> OK. Thanks.
>>
>> If you don't mind I'm going to have some testing on this patch done for 
>> a bit now (mostly x86 hardware of course) to see if there's no pitfalls 
>> in it. It'll be a few days because of the weekend before I get back on it.
>>
> 
> Cool.  I will see if I can get some more tests running over the weekend on our PXA255 
> platform.

First impression just came in: It seems RX performance is dropped to 10mbit. TX 
is unaffected and runs at 94mbit/tcp, but RX the new code seems to misbehave and 
  fluctuate, dropping below 10mbit after a few netperf runs and staying there...

ideas?

Auke